<?php
require_once 'ControlDB.php';
class ControlMedia {
	
	public function pegarTodosGalMedia() {
		$galMedia = new Galmedia();
                $galMedia->orderBy('ordem');
		$galMedia->find();
		return $galMedia;
	}
        
        public function pegarTodosGalMediaHabilitado() {
		$galMedia = new Galmedia();
                $galMedia->orderBy('ordem');
                $galMedia->setHabilitado(1);
		$galMedia->find();
		return $galMedia;
	}
	
	public function pegarUmGalMedia($pk) {
		$galMedia = new Galmedia();
		$galMedia->get($pk);
		return $galMedia;
	}
	
	public function salvarGalMedia(Galmedia $galMedia) {
		$galMedia->save();
		return 1;
	}
	
	public function excluirGalMedia(Galmedia  $galMedia) {
            Utilidades::deletarAquivo($galMedia->getFoto());
            Utilidades::deletarAquivo($galMedia->getFotoq());
            $media = $galMedia->getMedias();
                foreach ($media as $key => $row)
                {
                    //$this->
                }
            $galMedia->delete();
            return 1;
	}
        
        //Media
        
        public function pegarTodosMedia() {
		$media = new Media();
		$media->find();
		return $media;
	}
        
        public function pegarTodosMediaporGaleria($pk) {
		$media = new Media();
                //$galMedia = $this->pegarUmGalMedia($pk);
                $media->setGalmedia($pk);
                //var_dump($galMedia);
                //$media->orderBy('Ordem');
		$media->find();
		return $media;
	}
	
	public function pegarUmMedia($pk) {
		$media = new Media();
		$media->get($pk);
		return $media;
	}
	
	public function salvarMedia(Media $media) {
		$media->save();
		return 1;
	}
	
	public function excluirMedia(Media $media) {
            Utilidades::deletarAquivo($media->getValor());
			$media->delete();
			return 1;
	}
        
        //Tipomedia
        
        public function pegarTodosTipomedia() {
		$tipoMedia = new Tipomedia();
		$tipoMedia->find();
		return $tipoMedia;
	}
	
	public function pegarUmTipomedia($pk) {
		$tipoMedia = new Tipomedia();
		$tipoMedia->get($pk);
		return $tipoMedia;
	}
	
	public function salvarTipomedia(Tipomedia $tipoMedia) {
		$tipoMedia->save();
		return 1;
	}
	
	public function excluirTipoMedia(Tipomedia $tipoMedia) {
			$tipoMedia->delete();
			return 1;
	}
}


?>